org.deidentifier.arx.gui.model

## Class ModelEvent

- java.lang.Object
- - org.deidentifier.arx.gui.model.ModelEvent

    public class ModelEvent
    extends java.lang.Object

This class implements an event for model changes.

Author:
  Fabian Prasser

### Nested Class Summary

Nested Classes
`static class` `ModelEvent.ModelPart` The part of the model that has changed.

### Field Summary

Fields
`java.lang.Object` `data` The associated data, if any.
`ModelEvent.ModelPart` `part` The part of the model that has changed.
`java.lang.Object` `source` The sender.

### Constructor Summary

Constructors
Constructor and Description
`ModelEvent(java.lang.Object source, ModelEvent.ModelPart target, java.lang.Object data)` Creates a new instance.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### part

    public final ModelEvent.ModelPart part

The part of the model that has changed.

#### data

    public final java.lang.Object data

The associated data, if any.

#### source

    public final java.lang.Object source

The sender.

### Constructor Detail

#### ModelEvent

    public ModelEvent(java.lang.Object source,
                      ModelEvent.ModelPart target,
                      java.lang.Object data)

Creates a new instance.

Parameters:
  `source` -
  `target` -
  `data` -

### Method Detail

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`